<ng-container *ngIf="(recentRs$ | async) as recentRs; else loading">
  <div class="header-recent-post">
    <p *ngIf="userService.user" class="recent-info text-muted">
      <mat-icon>my_location</mat-icon>
      <ng-container *ngIf="userService.user.enable_location">
        <ng-container *ngIf="!userService.user.location">
          Izin akses lokasi ditolak,
          data rumah sakit/faskes terdekat tidak dapat disajikan.
          Untuk mengizinkan akses lokasi, periksa pengaturan pada peramban/web browser anda.
          Data ditampilkan berdasarkan data yang terbaru.
        </ng-container>

        <ng-container *ngIf="userService.user.location">
          Data terbaru yang tersaji diurutkan berdasarkan lokasi rumah sakit/faskes
          terdekat dengan posisi anda sekarang.
        </ng-container>

        <mat-spinner *ngIf="activatingLocation" [diameter]="25"></mat-spinner>
        <a *ngIf="!activatingLocation" (click)="activateLocation(false)">&nbsp;Non-aktifkan lokasi anda</a>.
      </ng-container>

      <ng-container *ngIf="!userService.user.enable_location">
        <mat-spinner *ngIf="activatingLocation" [diameter]="25"></mat-spinner>
        <a *ngIf="!activatingLocation" (click)="activateLocation(true)">Aktifkan lokasi anda</a>&nbsp;
        untuk mengurutkan data berdasarkan lokasi rumah sakit/faskes
        terdekat dengan posisi anda sekarang.
      </ng-container>
    </p>
    <p class="recent-description">Menampilkan <strong>{{recentRs.length}}</strong> dari
      <strong>{{(utilService.allPlaceData$ | async).length}}</strong> fakses.</p>
  </div>
  <div class="box-container">
    <div class="box" *ngFor="let rs of recentRs">
      <mat-card>
        <div class="inner-card-container">
          <div class="recent-title">
            <div class="rs-name-address">
              <div class="rs-name">{{ rs.name }}</div>
            </div>
            <div class="rs-distance" *ngIf="rs.distance > 0"
              matTooltip="Jarak hanya perkiraan radius. Akurasi tergantung dengan GPS dan provider anda.">
              {{rs.distance | number:'1.0-0':'id'}}km</div>
          </div>
          <div class="rs-address-dark">{{ rs.shortAddress }}</div>
          <div class="box-content">
            <div class="needed-item">
              <h1>{{rs.neededItemsCount | number:'1.0':'id'}}</h1>
              <span>Jumlah barang yang dibutuhkan</span>
            </div>
            <div class="urgent-item" *ngIf="rs.urgentItemsCount <= 0">
              <span>Saat ini belum ada kebutuhan mendesak</span>
            </div>
            <div class="urgent-item" *ngIf="rs.urgentItemsCount > 0">
              <h1>{{rs.urgentItemsCount | number:'1.0':'id'}}</h1>
              <span>Jumlah barang mendesak yang dibutuhkan</span>
            </div>
            <!-- <mat-divider></mat-divider> -->
          </div>
          <div class="footer-action">
            <div class="updated" matTooltip="{{rs.lastUpdateTs | date:'d MMMM, y h:mm z' }}">Dimutakhirkan<br />
              <span>{{ rs.updatedAgo }}</span>
            </div>
            <a mat-button class="detail-rs-link" routerLink="/rs/{{rs.placeId}}">Lihat Detail <mat-icon>arrow_forward
              </mat-icon></a>
          </div>
        </div>
      </mat-card>
    </div>
  </div>
</ng-container>
<ng-template #loading>
  <div style="display:flex;align-items:center;justify-content:center;">
    <mat-spinner diameter="25"></mat-spinner>
  </div>
</ng-template>
